summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorFulgen3012020-03-06 17:15:37 +0100
committerFulgen3012020-03-06 17:16:59 +0100
commitfb48d38c6fe6c1527d2f275c49fcfd1df5a09c24 (patch)
treeb5238db9e7a0f734b0665e02f8004704a7a174e4
parentf1d22fcb56ef048d91c8fb99d5beafa7d7ad7d7f (diff)
downloadaur-fb48d38c6fe6c1527d2f275c49fcfd1df5a09c24.tar.gz
Update to LegacyClonk
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD73
-rw-r--r--legacyclonk.desktop (renamed from clonk_rage.desktop)9
-rw-r--r--legacyclonk.xml (renamed from de_clonk.xml)0
4 files changed, 50 insertions, 51 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 5d5f4371d8e..d5c37873f4d 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = clonk_rage-git
pkgdesc = An entertaining, action-packed game of strategy, tactics, and skill.
- pkgver = r66.aeee02d
+ pkgver = r433.e70d3d3
pkgrel = 1
url = http://clonk.de
arch = i686
@@ -12,7 +12,7 @@ pkgbase = clonk_rage-git
makedepends = git
makedepends = cmake
makedepends = make
- depends = glu
+ makedepends = zip
depends = libxpm
depends = sdl_mixer
depends = gtk2
@@ -21,12 +21,17 @@ pkgbase = clonk_rage-git
depends = desktop-file-utils
depends = timidity++
depends = glew
- provides = clonk_rage-git,
+ provides = clonk_rage-git
provides = clonk_rage
- conflicts = clonk_rage,
- conflicts = openclonk
- source = clonk_rage-git::git+https://git.maxmitti.tk/lc#branch=master
+ provides = legacyclonk
+ conflicts = clonk_rage
+ conflicts = legacyclonk
+ replaces = clonk_rage-git
+ options = !strip
+ source = legacyclonk-git::git+https://github.com/legacyclonk/LegacyClonk#branch=master
+ source = https://github.com/legacyclonk/content/releases/download/continuous-master/LC_Content.zip
+ md5sums = SKIP
md5sums = SKIP
-pkgname = clonk_rage-git
+pkgname = legacyclonk-git
diff --git a/PKGBUILD b/PKGBUILD
index 16b51d00560..f5da0c78ec7 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,24 +1,31 @@
# Maintainer: George Tokmaji <tokmajigeorge@gmail.com>
# Contributor:
-pkgname=clonk_rage-git
-pkgver=r66.aeee02d
+pkgbase=clonk_rage-git
+pkgname=legacyclonk-git
+pkgver=r433.e70d3d3
pkgrel=1
pkgdesc="An entertaining, action-packed game of strategy, tactics, and skill."
arch=('i686' 'x86_64')
url="http://clonk.de"
license=('ISC' 'CCPL:by-nc' 'custom:trademark')
groups=('games')
-provides=('clonk_rage-git', 'clonk_rage')
-conflicts=('clonk_rage', 'openclonk')
+provides=('clonk_rage-git' 'clonk_rage' 'legacyclonk')
+replaces=('clonk_rage-git')
+conflicts=('clonk_rage' 'legacyclonk')
-depends=('glu' 'libxpm' 'sdl_mixer' 'gtk2' 'libpng12'
+depends=('libxpm' 'sdl_mixer' 'gtk2' 'libpng12'
'libjpeg-turbo' 'desktop-file-utils' 'timidity++' 'glew')
-makedepends=('git' 'cmake' 'make')
+makedepends=('git' 'cmake' 'make' 'zip')
-source=("$pkgname::git+https://git.maxmitti.tk/lc#branch=master")
+source=(
+ "$pkgname::git+https://github.com/legacyclonk/LegacyClonk#branch=master"
+ 'https://github.com/legacyclonk/content/releases/download/continuous-master/LC_Content.zip'
+ )
-md5sums=('SKIP')
+md5sums=('SKIP' 'SKIP')
+options=('!strip')
+_directory='legacyclonk'
pkgver() {
cd "$pkgname"
@@ -33,57 +40,43 @@ prepare() {
build() {
cd "$pkgname"
- cmake .
+ cmake . -DCMAKE_PREFIX_PATH='/usr' -DCMAKE_BUILD_TYPE=RelWithDebInfo -DWITH_DEVELOPER_MODE=ON
make
}
package() {
cd "$pkgname"
+
+ C4GROUP='./c4group' tools/make_System.c4g.sh
+ C4GROUP='./c4group' tools/make_Graphics.c4g.sh
+
# create directories
install -d "$pkgdir/usr/share/licenses/$pkgname"
install -d "$pkgdir"/usr/share/icons/hicolor/48x48/mimetypes
# install licenses
install -Dm644 licenses/clonk_{trademark,source}_license.txt "$pkgdir/usr/share/licenses/$pkgname/"
- rm licenses/clonk_{trademark,source}_license.txt
- mkdir --parents $pkgdir/usr/share/$pkgname || true
+ mkdir --parents $pkgdir/usr/share/$_directory || true
- mv -f clonk $pkgdir/usr/share/$pkgname/clonk
- mv -f c4group $pkgdir/usr/share/$pkgname/c4group
+ install -Dm774 clonk $pkgdir/usr/share/$_directory/clonk
+ install -Dm774 c4group $pkgdir/usr/share/$_directory/c4group
- cd planet
- #mv * "$pkgdir"/usr/share/$pkgname
- cd ..
+ install -Dm644 {System,Graphics}.c4g "$pkgdir"/usr/share/$_directory
- # load game data
- if [ ! -e cr_full_linux.tar.bz2 ]
- then
- curl -O "http://www.clonkx.de/rage/cr_full_linux.tar.bz2"
- fi
- tar -xjvf cr_full_linux.tar.bz2
- cd cr_full_linux
- # rm System.c4g -- commented for now
- mv *.c4? "$pkgdir"/usr/share/$pkgname
+ unzip -o ../../LC_Content.zip -d .
+ install -Dm644 *.c4? "$pkgdir"/usr/share/$_directory
# install icons
- install -Dm644 icons/cr.png "$pkgdir"/usr/share/icons/hicolor/48x48/apps/clonk_rage.png
- install -Dm644 icons/c4{d,f,g,k,p,s,u}.png "$pkgdir"/usr/share/icons/hicolor/48x48/mimetypes/
-
- chgrp -R games "$pkgdir"/usr/share/$pkgname
- chmod -R g+w "$pkgdir"/usr/share/$pkgname
+ install -dm644 /usr/share/icons/hicolor/48x48/apps
+ install -Dm644 src/res/lc.png "$pkgdir"/usr/share/icons/hicolor/48x48/apps
- # chmod exec's
- chmod 774 "$pkgdir"/usr/share/$pkgname/clonk
- chown root:root "$pkgdir"/usr/share/$pkgname/clonk
-
- chmod 774 "$pkgdir"/usr/share/$pkgname/c4group
- chown root:root "$pkgdir"/usr/share/$pkgname/c4group
+ install -dm644 /usr/share/icons/hicolor/scalable/mimetypes
+ install -Dm644 -t "$pkgdir"/usr/share/icons/hicolor/scalable/mimetypes src/res/c4{d,f,g,k,p,s,u}.ico
# desktop launcher
- mkdir --parents $pkgdir/usr/share/applications || true
- install -Dm644 "$srcdir"/../clonk_rage.desktop "$pkgdir"/usr/share/applications/clonk_rage.desktop
+ #mkdir --parents $pkgdir/usr/share/applications || true
+ install -Dm644 "$srcdir"/../legacyclonk.desktop "$pkgdir"/usr/share/applications/legacyclonk.desktop
# mime types
- install -Dm644 "$srcdir"/../de_clonk.xml "$pkgdir"/usr/share/mime/packages/clonk_rage.xml
-
+ install -Dm644 "$srcdir"/../legacyclonk.xml "$pkgdir"/usr/share/mime/packages/legacyclonk.xml
}
diff --git a/clonk_rage.desktop b/legacyclonk.desktop
index 496557dc739..ed00513bc2c 100644
--- a/clonk_rage.desktop
+++ b/legacyclonk.desktop
@@ -1,11 +1,12 @@
[Desktop Entry]
-Name=Clonk Rage
+Name=LegacyClonk
Type=Application
Comment=An entertaining, action-packed game of strategy, tactics, and skill.
-Icon=clonk_rage
+Icon=legacyclonk
Categories=Game;ActionGame;
MimeType=application/x-vnd.clonk.c4key;application/vnd.clonk.c4group
StartupNotify=true
-StartupWMClass=Clonk Rage
-Exec=clonk_rage
+StartupWMClass=LegacyClonk
+Exec=legacyclonk
+Path=/usr/share/legacyclonk
Terminal=false
diff --git a/de_clonk.xml b/legacyclonk.xml
index c78ffc201f3..c78ffc201f3 100644
--- a/de_clonk.xml
+++ b/legacyclonk.xml